%define upstream_name    Devel-PartialDump
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Partial dumping of data structures, optimized for argument
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Warn) >= 0.210.0
BuildRequires: perl(Test::use::ok)
BuildRequires: perl(namespace::clean) >= 0.200.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module is a data dumper optimized for logging of arbitrary parameters.

It attempts to truncate overly verbose data, in a way that is hopefully
more useful for diagnostics warnings than

	warn Dumper(@stuff);

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Devel


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.180.0-4pclos2017
- rebuild against updates

